@charset "UTF-8";
/* CSS Document */

img {
  max-width: 100%;
  height: auto;
  display: block;
}

.tb,
.tbpc,
.pc {
  display: none;
}

.fadein {
  opacity: 0;
  transition:
    opacity 1s ease,
    transform 1s ease;
  transition-delay: 0s;
}

.fadein.scrollin {
  opacity: 1;
}

.flex_box {
  display: flex;
}

.flex_center {
  display: flex;
  align-items: center;
  justify-content: center;
}

:root {
  /* root space*/
  --min: 340px;
  --max: 450px;

  /* root color */
  --uni_green: #00704a;
  --uni_black: #292929;
  --gl_blue: #138fc9;
  --gl_yellow: #ffed66;
  --in_gray: #f0f0f0;
  --in_black: #555;
  --bg_beige: #fcf8ed;
  --en_blue: #21a6ba;
  --hu_green: #1d925e;
  --so_purple: #7255af;
  --so_gray: #eaeff2;
  --so_yellow: #ff9;
  --id_black: #363535;
  --id_gray: #f0f0f0;
  --id_red: #ce4757;
  --id_ice: #edf6fc;
  --id_steel: #294888;

  /* root font-weight */
  --font_black: 700;
  --font_bold: 600;
  --font_medium: 500;
  --font_regular: 400;
}

/* color setting */
.font_white {
  color: #fff;
}

.font_green {
  color: var(--uni_green);
}

.bg_white {
  background-color: #fff;
}

.bg_uni_green {
  background-color: var(--uni_green);
}

.bg_beige {
  background-color: var(--bg_beige);
}

.bg_grid {
  background-color: #fff;
  background-image:
    linear-gradient(#f2f2f2 1px, transparent 1px),
    linear-gradient(90deg, #f2f2f2 1px, transparent 1px);
  background-size: 16px 16px;
}

.bg_grid_blue {
  background-color: #fff;
  background-image:
    linear-gradient(#c9eff8 1px, transparent 1px),
    linear-gradient(90deg, #c9eff8 1px, transparent 1px);
  background-size: 16px 16px;
}

.bg_gray {
  background-color: var(--in_gray);
}
/* font setting */
.font_regular {
  font-weight: var(--font_regular);
}

.font_medium {
  font-weight: var(--font_medium);
}

.font_bold {
  font-weight: var(--font_bold);
}

.font_black {
  font-weight: var(--font_black);
}

.is_palt {
  font-feature-settings: "palt" on;
}

.Afacad {
  font-family: "Afacad", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}

.Abel {
  font-family: "Abel", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.vertical {
  writing-mode: vertical-rl;
  text-orientation: upright;
}

small {
  font-size: 14px;
  line-height: 1.71;
  letter-spacing: 0.08em;
  display: block;
  font-weight: var(--font_regular);
}

sup {
  vertical-align: super;
  font-size: 0.6em;
  position: relative;
  top: 0.05em;
}

/* padding setting */
.padding30 {
  padding-inline: 30px; 
}

/* ===== layout ===== */
.layout {
  display: grid;
  grid-template-columns: 1fr minmax(var(--min), var(--max)) 1fr;
  z-index: 0;
  position: relative;
}

.layout_center {
  grid-column: 2;
  width: 100%;
  margin-inline: auto;
}

.layout_side {
  position: fixed;
  top: 0;
  height: 100dvh;
  display: none; /* mobile default */
  overflow-y: auto;
  z-index: 10;
}

.layout_left {
  grid-column: 1;
}

.layout_right {
  grid-column: 3;
}

/* html setting */

html,
body {
  overscroll-behavior: none;
}

html {
  letter-spacing: normal;
  scroll-behavior: smooth;
  font-size: 16px;
  height: auto;
  font-weight: var(--font_bold);
}

body {
  font-family: YakuHanJP, "Noto Sans JP", sans-serif;
  letter-spacing: normal;
  color: var(--uni_black);
}

/* common header */
header.common {
  width: 100%;
  max-width: 450px;
  padding: 25px;
  justify-content: space-between;
  align-items: center;
}

header.common div.logo a img {
  width: 100px;
  height: 23.764px;
}

/* hamburger */
header.common > .menu {
  position: fixed;
  top: 20px;
  left: 0;
  right: 0;
  width: min(450px, 100%);
  z-index: 20;
  margin: 0 auto;
  pointer-events: auto;
}

details.menu summary.menu_toggle {
  width: 30px;
  height: 30px;
  pointer-events: auto;
  margin-left: auto;
  margin-right: 25px;
  display: grid;
  place-items: center;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
  z-index: 999;
  position: relative;
}

.menu_toggle::-webkit-details-marker {
  display: none;
}

/* 3本線 */
.menuBtn_line {
  display: block;
  width: 22.5px;
  height: 2px;
  background: var(--uni_black);
  border-radius: 999px;
  grid-area: 1 / 1; /* 3本重ねる */
  transition:
    transform 240ms ease,
    opacity 160ms ease,
    width 240ms ease;
}

/* 通常時：上下にずらす */
.menuBtn_line:nth-child(1) {
  transform: translateY(-5.83px);
}
.menuBtn_line:nth-child(2) {
  transform: translateY(0);
}
.menuBtn_line:nth-child(3) {
  transform: translateY(5.83px);
}

/* open時：✖︎ */
.menu[open] .menuBtn_line:nth-child(1) {
  transform: rotate(45deg);
}
.menu[open] .menuBtn_line:nth-child(2) {
  opacity: 0;
  width: 0;
}
.menu[open] .menuBtn_line:nth-child(3) {
  transform: rotate(-45deg);
}

/* hamburger-contents */
nav.menu_panel {
  background: #fff;
  text-align: left;
  padding-top: 142px;
  position: fixed;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  top: 0px;
  right: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  max-width: 450px;
  min-width: 340px;
  margin-inline: auto;
  display: grid;
  gap: 60px;
  overscroll-behavior-y: contain;
  align-content: start;
  padding-bottom: 72px;
}

nav.menu_panel::before {
  position: absolute;
  content: "";
  width: 100px;
  height: 24px;
  background: url("../img/common/logo_common.png") no-repeat center / contain;
  top: 25px;
  left: 25px;
}

/* common nav */

ul.links {
  flex-direction: column;
  gap: 20px;
  width: 330px;
  margin-inline: auto;
}

ul.links li {
  height: 50px;
  display: flex;
  padding: 10px 15px;
  justify-content: flex-start;
  align-items: center;
  font-size: 15px;
  font-weight: var(--font_regular);
  line-height: 2;
  letter-spacing: 0.11em;
  position: relative;
  border-radius: 5px;
  border: 1px solid #a4a4a4;
  background: #fff;
}

ul.links li a {
  width: 300px;
}

ul.links li::after {
  content: "";
  width: 24px;
  height: 24px;
  background: url("../img/common/ex_link.png") no-repeat center / contain;
  position: absolute;
  top: 50%;
  right: 15px;
  transform: translateY(-50%);
}

nav.menu_panel .nav_banners {
  width: 330px;
  margin-inline: auto;
}

nav.menu_panel .nav_banners div.flex_box {
  gap: 20px;
  width: 330px;
  margin-inline: auto;
}

nav.menu_panel .nav_banners div.flex_box a {
  display: block;
}

nav.menu_panel .nav_banners div.flex_box a img {
  width: 155px;
  height: auto;
}

ul.sns_links {
  width: 320px;
  height: 93px;
  padding-inline: 30px;
  gap: 20px 40px;
  justify-content: center;
  align-items: center;
  margin-inline: auto;
  flex-wrap: wrap;
}

ul.sns_links li a img {
  width: 28px;
}

/* common hero */
#hero p.hero_text {
  text-align: justify;
  line-height: 2;
  letter-spacing: 0.07em;
  width: 320px;
}

.marker {
  background: linear-gradient(
    transparent 13%,
    var(--gl_yellow) 13%,
    var(--gl_yellow) 96%,
    transparent 96%
  );
  padding-inline: 0.15em;
}

/* common index */
.index {
  margin-block: 40px 60px;
  line-height: 1;
}

div.index p.index_label {
  font-size: 27px;
  letter-spacing: 0.08em;
}

div.index ul li a {
  margin-top: 20px;
  font-size: 18px;
  letter-spacing: 0.1em;
  width: 320px;
  height: 60px;
  padding: 12px 20px;
  border: 1px solid var(--gl_blue);
  position: relative;
  display: flex;
  align-items: center;
}

div.index ul li a::after {
  content: "";
  width: 25px;
  height: 25px;
  background: url("../img/global/gl_arrow_circle.png") no-repeat center /
    contain;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 20px;
}

/* common reason */

.round_bg {
  position: relative;
  padding-bottom: 100px;
}

.round_bg::before {
  content: "";
  position: absolute;
  left: 50%;
  top: 0px;
  width: 100%;
  height: 100%;
  background: var(--gl_blue);
  border-radius: 250px;
  transform: translateX(-50%);
  z-index: -1;
}

.reason_content {
  width: 320px;
  margin-inline: auto;
}
.reason_content.content01 {
  padding-block: 100px 30px;
  border-bottom: 1px solid #fff;
}

.reason_content.content02 {
  margin-block: 50px;
}

#reason h2 {
  font-size: 24px;
  line-height: 1.79;
  letter-spacing: 0.08em;
  text-align: center;
}

#reason h2 span {
  display: block;
}

figure.reason_chart img {
  width: 320px;
  margin-inline: auto;
  margin-block: 24px 40px;
}

p.reason_text {
  text-align: justify;
  line-height: 2;
  letter-spacing: 0.07em;
}

figure.reason_image {
  width: 320px;
  margin: 40px auto;
}

/* common reason acc */
details.reason_acc {
  width: 320px;
  border-radius: 10px;
  margin-bottom: 20px;
}

summary.reason_acc_label {
  display: flex;
  padding-top: 17px;
  align-items: center;
  flex-direction: column;
  text-align: center;
  width: 320px;
  height: 129px;
  font-weight: var(--font_bold);
}

.reason_acc_contents {
  padding-bottom: 37px;
}

p.reason_acc_title {
  font-size: 21px;
  line-height: 1.57;
  letter-spacing: 0.1em;
  position: relative;
  color: var(--gl_blue);
}

p.reason_acc_title span {
  display: block;
}

.acc_arrow {
  position: absolute;
}

span.acc_arrow::after {
  content: "";
  width: 24px;
  height: 24px;
  background: url("../img/global/gl_arrow_acc.png") no-repeat center / contain;
  position: absolute;
  top: 5px;
  left: 50%;
  transform: translateX(-50%);
}

.reason_acc_contents_inner {
  width: 320px;
  margin-inline: auto;
}

p.reason_acc_text {
  text-align: justify;
  line-height: 2;
  letter-spacing: 0.05em;
  margin-top: 40px;
  font-weight: var(--font_bold);
  width: 260px;
  margin-inline: auto;
}

a.reason_cta,
a.features_acc_cta,
a.features_cta {
  width: 256px;
  height: 90px;
  padding: 18px 44px 19px 44px;
  text-align: center;
  display: grid;
  place-items: center;
  font-size: 17px;
  border-radius: 50px;
  line-height: 1;
  letter-spacing: 0.08em;
  margin-inline: auto;
  font-weight: var(--font_bold);
  border: 1px solid #fff;
  color: #fff;
}

a.reason_cta span {
  display: block;
}

/* common features */

.features_inner,
.future_inner,
.interview_inner {
  width: 320px;
  margin-inline: auto;
  padding-top: 57px;
}

#features h2,
#future h2 {
  text-align: center;
}

#features h2 span,
#future h2 span {
  font-size: 22px;
  font-weight: var(--font_black);
  line-height: 0.86;
  letter-spacing: 0.1em;
  padding-bottom: 11px;
  border-bottom: 3px solid var(--gl_blue);
  display: inline-block;
}

.features_content {
  width: 320px;
  padding-block: 47px 20px;
}

.features_content.features_content_01 {
  border-bottom: 1px solid var(--gl_blue);
}

.fetures_image {
  position: relative;
  width: 278px;
  margin-inline: auto;
}

.fetures_image img {
  width: 278px;
}

.fetures_image span.Afacad {
  position: absolute;
  bottom: -17px;
  left: -22px;
  font-size: 90px;
  line-height: 1;
  font-weight: var(--font_bold);
}

#features h3 {
  text-align: center;
  font-size: 22px;
  font-weight: var(--font_black);
  line-height: 1.73;
  letter-spacing: 0.08em;
  margin-top: 47px;
}

/* features acc */
summary.features_acc_label {
  margin-inline: auto;
  width: 132px;
}

summary.features_acc_label span.acc_more_button {
  width: 132px;
  height: 40px;
  padding: 0 10px 0px 10px;
  border-radius: 20px;
  border: 1px solid var(--gl_blue);
  font-size: 15px;
  line-height: 1;
  letter-spacing: 0.15em;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-block: 30px;
  font-weight: var(--font_medium);
}

summary.features_acc_label span.acc_more_button.is_open {
  display: none;
}

details[open] .features_acc_label span.acc_more_button.is_close {
  display: none;
}

details[open] .features_acc_label span.acc_more_button.is_open {
  display: inline-flex;
}

p.features_acc_text {
  text-align: justify;
  line-height: 2;
  letter-spacing: 0.02em;
  margin-block: 0 30px;
  font-weight: var(--font_bold);
}

a.features_acc_cta {
  border: 1px solid var(--gl_blue);
  margin: 30px auto;
  color: var(--gl_blue);
}
/* common future */
.future_inner {
  padding-bottom: 50px;
}

.future_content_wrap {
  display: grid;
  gap: 40px;
  margin-top: 60px;
}

.future_content {
  width: 320px;
}

#future h3 {
  background-color: var(--gl_blue);
  color: #fff;
  height: 41px;
  width: 320px;
  display: grid;
  place-items: center;
  grid-auto-flow: column;
  justify-content: space-evenly;
  line-height: 1.69;
  letter-spacing: 0.06em;
  font-weight: var(--font_bold);
  padding: 5px 6px 7px 6px;
}

#future .future_content h3 small {
  margin-left: -38px;
  font-weight: var(--font_bold);
}

.future_content figure {
  gap: 20px;
  margin-top: 30px;
}

.future_content figure img {
  width: 150px;
  height: 150px;
}

.future_content ul {
  margin-top: 20px;
}

.future_content ul li {
  position: relative;
  margin-left: 1.1em;
  line-height: 1.9;
  letter-spacing: 0.05em;
  font-weight: var(--font_bold);
}

.future_content ul li::before {
  content: "●";
  width: 1em;
  height: 1em;
  position: absolute;
  top: 0;
  left: -1.1em;
  color: var(--gl_blue);
}

.future_content small {
  margin-left: 1em;
}

.future_content small span {
  margin-left: 0.5em;
  display: inline-block;
}

p.future_strong {
  margin-top: 20px;
}

p.future_strong span {
  font-size: 18px;
  font-weight: var(--font_black);
  line-height: 2.11;
  letter-spacing: 0.08em;
  display: inline-block;
  position: relative;
}

p.future_strong span::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 3.5px;
  height: 3.5px;
  background-color: #ffe566;
}
/* common graph */
.future_graph {
  width: 240px;
  height: 240px;
  margin-inline: auto;
  position: relative;
  margin-block: 65px;
}

.future_graph img.graph_donut {
  width: 240px;
  height: 240px;
}

.graph_balloon.fadein {
  transform: scale(0.6);
  transition:
    opacity 0.4s ease,
    transform 0.4s cubic-bezier(0.34, 1.56, 0.64, 1);
}

.graph_balloon.fadein.scrollin {
  transform: scale(1);
}

.graph_balloon {
  position: absolute;
  width: 109px;
  height: 78px;
  display: grid;
  align-content: center;
  border-radius: 20px 20px 0 20px;
  border: 1px solid var(--gl_blue);
  top: -30px;
  left: -39px;
  background-color: #fff;
  padding-left: 13px;
  font-weight: var(--font_bold);
}

.graph_balloon.balloon_2 {
  border-radius: 20px 20px 20px 0;
  left: 175px;
  transition-delay: 0.15s;
}

.graph_balloon.balloon_3 {
  border-radius: 20px 0px 20px 20px;
  top: 192px;
  transition-delay: 0.3s;
}

.graph_balloon_label {
  font-size: 12px;
  line-height: 1.2;
  letter-spacing: 0.05em;
}

.graph_balloon_value {
  color: var(--gl_blue);
  font-size: 23px;
  line-height: 1.09;
  letter-spacing: 0.08em;
  text-align: left;
  margin-left: 3px;
  margin-top: 2px;
}
.graph_balloon_value span {
  font-size: 18px;
}

/* common company list */
.company {
  line-height: 1.87;
  letter-spacing: 0.07em;
}

.company h4 {
  text-align: justify;
  height: 35px;
  width: 320px;
  display: grid;
  align-content: center;
  border-top: 1px solid var(--gl_blue);
  border-bottom: 1px solid var(--gl_blue);
  text-align: center;
}

.company p {
  margin-top: 15px;
  letter-spacing: 0.05em;
}

.future_content .company ul {
  margin-top: 0px;
}

/* common interview */

.interview_inner {
  color: var(--in_black);
  padding-block: 40px 50px;
}

#interview h2 {
  width: 234px;
  margin-inline: auto;
  position: relative;
  text-align: center;
}

#interview h2::after {
  position: absolute;
  content: "";
  width: 50px;
  height: 2px;
  background: var(--in_black);
  bottom: 33px;
  left: 50%;
  transform: translateX(-50%);
}

#interview h2 span {
  line-height: 1;
  padding-top: 5px;
  display: block;
  letter-spacing: 0.08em;
}

figure.interview_image img {
  width: 290px;
  margin-inline: auto;
  margin-block: 35px;
}

#interview h3 {
  text-align: center;
  font-size: 23px;
  line-height: 1.87;
  letter-spacing: 0.08em;
}

#interview h3 span {
  display: block;
}

#interview p {
  font-weight: var(--font_bold);
}

.interview_text {
  margin-block: 27px;
  text-align: justify;
  line-height: 2;
  letter-spacing: 0.04em;
}

.interviewee_data {
  font-size: 13px;
  line-height: 1.54;
  letter-spacing: 0.05em;
}

.interviewee_name {
  line-height: 1.5;
  letter-spacing: 0.06em;
  margin-top: 8px;
}

.interviewee_name span {
  font-size: 13px;
  letter-spacing: 0;
}

/* common footer */
.common_footer {
  padding-top: 50px;
  display: grid;
  gap: 40px;
}

.footer_banners,
.footer_links {
  width: 300px;
  margin-inline: auto;
  justify-content: center;
}

.footer_links {
  display: grid;
  gap: 30px;
}

.footer_banners div.flex_box {
  flex-direction: column;
  gap: 40px;
}

.footer_banners div a img,
.footer_links ul.links,
.footer_links ul.sns_links {
  width: 300px;
}

p.campus {
  text-align: center;
  font-size: 15px;
  font-weight: var(--font_regular);
  line-height: 1.8;
  letter-spacing: 0.1em;
}

p.campus span {
  border-left: 1px solid var(--uni_black);
  padding-left: 0.6em;
  display: inline-block;
  padding-bottom: 1px;
  padding-right: 0.2em;
  line-height: 0.86;
}

p.campus span.last {
  border-right: 1px solid var(--uni_black);
  padding-right: 0.5em;
}

div.inquiry {
  width: 300px;
  text-align: center;
  font-size: 14px;
  font-weight: var(--font_regular);
  line-height: 1.92;
  letter-spacing: 0.1em;
  margin-inline: auto;
  margin-top: 10px;
}

.footer_links a img.logo {
  margin-block: 30px 0px;
  width: 210px;
  margin-inline: auto;
}

.recruit_logo {
  width: 300px;
  margin-inline: auto;
  padding-block: 22px 30px;
  border-top: 1px solid #a4a4a4;
}

@media (min-width: 1120px) {
  .sptb {
    display: none;
  }

  .layout_side {
    display: block;
    min-height: 100vh;
    min-height: 100svh;
    display: grid;
    place-content: center; /* 縦横センター */
  }

  .layout_left {
    left: 0;
    width: calc((100vw - min(var(--max), 100vw)) / 2);
    z-index: -1;
  }

  .layout_right {
    right: 0;
    width: calc((100vw - min(var(--max), 100vw)) / 2);
    z-index: -1;
  }

  /* layout_left */

  header.common {
    position: fixed;
    top: 44px;
    left: 56px;
    width: auto;
    padding: 0;
    z-index: 999;
  }

  .layout_left ul.links {
    width: 300px;
    margin-bottom: 40px;
  }

  p.campus,
  div.inquiry {
    font-size: 10px;
  }

  p.campus span {
    border-left: 0.5px solid var(--uni_black);
  }

  p.campus span.last {
    border-right: 0.5px solid var(--uni_black);
  }

  div.inquiry {
    margin-top: 4px;
  }

  div.inquiry address {
    display: inline;
  }

  /* layout_right */

  .right_banners {
    width: 330px;
    margin-inline: auto;
  }

  .right_banners div.flex_box {
    flex-direction: row;
    gap: 20px;
  }

  .layout_right ul.sns_links {
    width: 330px;
    height: 50px;
    gap: 28px;
    margin-block: 0px;
    padding-inline: 0px;
    margin-top: 40px;
  }

  .layout_right ul.sns_links li a img {
    width: 22.9px;
  }
}

@media (hover: hover) and (pointer: fine) {
  a {
    display: block;
  }

  a:hover,
  summary.reason_acc_label:hover {
    opacity: 0.7;
  }

  a.reason_cta:hover {
    background: #fff;
    color: var(--gl_blue);
  }

  summary.features_acc_label span.acc_more_button:hover,
  a.features_acc_cta:hover {
    background: var(--gl_blue);
    color: #fff;
  }

  a.reason_cta:hover,
  a.features_acc_cta:hover {
    opacity: 1;
  }
}
